L’installazione di Adobe Commerce 2.4.0 non riesce se la cache degli archivi è obsoleta

Questo articolo fornisce una soluzione al problema relativo al mancato funzionamento dell’installazione di Adobe Commerce 2.4.0 con il messaggio di errore: Il sito Web predefinito non è definito. Imposta il sito web e riprova. nella console.

Prodotti e versioni interessati

  • Adobe Commerce sull’infrastruttura cloud 2.4.0
  • Adobe Commerce on-premise 2.4.0

Problema

Prerequisiti:
Un’estensione di terze parti con dipendenze dalle API per il modulo Store nei comandi CLI è configurata come richiesto in composer.json. In questo modo, l’installazione di Adobe Commerce 2.4.0 non riesce e viene visualizzato un messaggio di errore: Il sito Web predefinito non è definito. Imposta il sito web e riprova. nella console.

Causa

Il problema viene visualizzato per le estensioni di terze parti che hanno dipendenze dagli archivi nei loro comandi CLI. Uno è Amazon Sales Channel.

Soluzione

Prima dell’installazione di Adobe Commerce 2.4.0, i commercianti devono:

  1. Rimuovi queste estensioni di terze parti da composer.json.
  2. Installa Adobe Commerce senza estensioni.
  3. Aggiungi le estensioni dopo l’installazione.

Il problema verrà risolto nell’ambito della versione 2.4.1.

Letture correlate nella knowledge base di supporto:

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a